#!/usr/bin/env nix-shell
#! nix-shell -i bash
#! nix-shell -p bash nix-output-monitor

# Build a NixOS VM for testing

set -euo pipefail
SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )

nom-build '<nixpkgs/nixos>' -A vm \
    -I nixos-config=./os.nix
